<?php
session_start();
header( 'Content-type: text/html; charset=windows-1251' );
error_reporting( 1 );
require($_SERVER['DOCUMENT_ROOT']."/sfb.php");

$id_user = (isset($_SESSION["iduser"]) && preg_match("|^[\d]{1,11}$|", trim($_SESSION["iduser"]))) ? intval(trim($_SESSION["iduser"])) : false;

if(!isset($_SESSION['iduser'])) { exit(); }
if(!isset($_POST['func'])) { exit(); }
if($_SERVER['HTTP_X_REQUESTED_WITH'] != "XMLHttpRequest") { exit(); }

// добавление баннера
if($_POST['func'] == "add_ban") {
$type_ban = intval($_POST["type_ban"]);
$url_img = check_text($_POST["url_img"]);
$url = check_text($_POST["url"]);

switch($type_ban) {
case 1: $price_ban = $advbanner-($skid*$advbanner/100); $size_x = "468"; $size_y = "60";break;
case 2: $price_ban = $advbanner300-($skid*$advbanner300/100); $size_x = "200"; $size_y = "300";break;
case 3: $price_ban = $advbanner100-($skid*$advbanner100/100); $size_x = "100"; $size_y = "100";break;
}
$site=getHost($url);
$site=str_ireplace("www.","",$site);

$bll = mysql_query("SELECT `reason` FROM `seo_blacklist` WHERE `site`='$site'");
if(mysql_num_rows($bll)>0){
$res34=mysql_fetch_assoc($bll);
echo "Ваш сайт находится в чёрном списке.Причина: ".$res34["reason"];
exit();}

if($type_ban < 1 AND $type_ban > 3) { echo $infstart."Неверный тип баннера.";exit();}
if ($url_img == "") { echo "Вы не указали ссылку на баннер.";exit();}
if ($url == "") { echo "Вы не указали ссылку на сайт.";exit();}
if((substr($url, 0, 7) != "http://" && substr($url, 0, 8) != "https://")) { echo 'Не верно указана ссылка на сайт!';exit();}
if($url==false | $url=="http://" | $url=="https://") { echo 'Не указана ссылка на сайт!';exit();}
if(is_url_img($url_img)!="true") { echo is_url_img($url_img);exit();}
if(is_img_size($size_x,$size_y,$url_img)!="true") { echo is_img_size($size_x,$size_y,$url_img);exit();}

mysql_query("INSERT INTO `tb_allhistory` (`idus`,`data`,`doing`,`title`) values ('$id_user','".time()."','2','Добавление баннера ')"); 
mysql_query("INSERT INTO `tb_advban` (`url_img`,`url`,`price`,`modered`,`nametime`,`typeban`,`fromus`) values ('$url_img','$url','$price_ban','$auto_moder','".time()."','$type_ban','$id_user')") or die(mysql_error());
echo "1";
}

// удаление баннера
if($_POST['func'] == "dell_ban") {
$id = intval($_POST["id"]);
$sql = mysql_query("SELECT `balance` FROM `tb_advban` WHERE `fromus`='$id_user' AND `id`='$id'");
if(mysql_num_rows($sql)>0){
$balance = mysql_result($sql,0);
if($balance > 0) mysql_query("UPDATE `b_users` SET `money`=`money`+'$balance' WHERE `id`='$id_user'") or die(mysql_error());
mysql_query("DELETE FROM `tb_advban` WHERE `fromus`='$id_user' AND `id`='$id'") or die(mysql_error());
mysql_query("DELETE FROM `b_basket` WHERE `ident`='$id'") or die(mysql_error());
}
}

// обнуление статистики баннера
if($_POST['func'] == "clear_ban") {
$id = intval($_POST["id"]);
mysql_query("UPDATE `tb_advban` SET `views`='0' WHERE `fromus`='$id_user' AND `id`='$id'") or die(mysql_error());
}

// старт, пауза баннера
if($_POST['func'] == "paused_ban") {
$id = intval($_POST["id"]);
$paused = mysql_result(mysql_query("SELECT `paused` FROM `tb_advban` WHERE `id`='$id' AND `modered`='1' AND `fromus`='$id_user'"),0);
if($paused == 1) {
$paused = "0";
}else{
$paused = "1";
}
mysql_query("UPDATE `tb_advban` SET `paused`='$paused' WHERE fromus='$id_user' AND `id`='$id' AND `modered`='1'") or die(mysql_error());
echo $paused;
}
?>